Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners
Class StandAloneBootStrapper

    java.lang.Object
      org.jboss.soa.esb.listeners.StandAloneBootStrapper

    public class StandAloneBootStrapper

extends java.lang.Object

Constructor Summary
`StandAloneBootStrapper(java.lang.String configName)`
`StandAloneBootStrapper(java.lang.String configName, java.lang.String validationFileName)`

Method Summary
`ConfigurationController` | `initiateController(java.lang.String configName, java.lang.String validationName, java.lang.String gwConf, java.lang.String esbConf)`
`static void` | `main(java.lang.String[] args)`
`void` | `requestEnd()`
`protected void` | `runAfter()`
`protected void` | `runBefore()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandAloneBootStrapper

    public StandAloneBootStrapper(java.lang.String configName)
                           throws ConfigurationException

Throws:
  `ConfigurationException`

### StandAloneBootStrapper

    public StandAloneBootStrapper(java.lang.String configName,
                                  java.lang.String validationFileName)
                           throws ConfigurationException

Throws:
  `ConfigurationException`

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### requestEnd

    public void requestEnd()

### runBefore

    protected void runBefore()

### runAfter

    protected void runAfter()

### initiateController

    public ConfigurationController initiateController(java.lang.String configName,
                                                      java.lang.String validationName,
                                                      java.lang.String gwConf,
                                                      java.lang.String esbConf)
                                               throws ConfigurationException

  Throws:
    `ConfigurationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD